.table {
	border-collapse: separate;
	border-radius: 2px;
	border-spacing: 0;
	background-color: #fafafa;

	.table-options {
		list-style: none;
		margin: 0;
		padding: 0;
		text-align: center;
		display: flex;
		justify-content: center;

		>li {
			display: inline-block;
			margin-left: 10px;

			&:first-child {
				margin-left: 0;
			}
			> a,
			button {
				color: #9fa8bc;
				font-size: 14px;
				line-height: 0;
				border: none;
				background-color: transparent;
				cursor: pointer;
				padding: 1rem 0;
				display: inline-block;
				-webkit-transition: all .2s ease;
				-moz-transition: all .2s ease;
				transition: all .2s ease;

				> i {
					line-height: 0;
				}
			}
		}
	}
	.custom-checkbox{
		margin-bottom: 0;
		margin-right: 0;
		padding-left: 1rem;
		min-height: 1.2rem; 

		.custom-control-indicator{
			background-color: #fff;
			box-shadow: 0 0 0 1px #fff;
		}
		.custom-control-input:checked ~ .custom-control-indicator {
		    color: #fff;
		    background-color: lighten($primary, 10%);
		    box-shadow: 0 0 0 1px lighten($primary, 10%);
		}
	}

	> thead > tr > th, 
	> tbody > tr > th, 
	> tfoot > tr > th, 
	> thead > tr > td, 
	> tbody > tr > td, 
	> tfoot > tr > td {
		padding: 7px 8px;
		vertical-align: middle;
		white-space: nowrap;
	}
	> thead > tr > th{
		padding-top: 15px;
		padding-bottom: 15px;
	}


	/**
	 * Style
	 */
	&.table-primary{
		> thead > tr > th, 
		> tfoot > tr > th {
			border-color: rgba(255, 255, 255, 0.3);
			color: #fff;
			background-color: $primary;
		}
	}
}